import * as wjcCore from 'wijmo/wijmo';
import * as wjcGrid from 'wijmo/wijmo.grid';
import * as wjcGridFilter from 'wijmo/wijmo.grid.filter';
export declare class GroupPanel extends wjcCore.Control {
    _g: any;
    _view: wjcCore.ICollectionView;
    _gds: wjcCore.ObservableArray;
    _hideGroupedCols: boolean;
    _showDragGlyphs: boolean;
    _maxGroups: number;
    _dragCol: wjcGrid.Column;
    _dragMarker: HTMLElement;
    _divMarkers: HTMLElement;
    _divPH: HTMLElement;
    _hiddenCols: any[];
    _filter: wjcGridFilter.FlexGridFilter;
    static controlTemplate: string;
    constructor(element: any, options?: any);
    hideGroupedColumns: boolean;
    showDragGlyphs: boolean;
    maxGroups: number;
    placeholder: string;
    grid: wjcGrid.FlexGrid;
    filter: wjcGridFilter.FlexGridFilter;
    refresh(): void;
    _getColumnFilter(col: wjcGrid.Column): any;
    _editFilter(marker: HTMLElement): void;
    _addGroup(col: wjcGrid.Column, e: MouseEvent): void;
    _moveGroup(marker: HTMLElement, e: MouseEvent): void;
    _removeGroup(index: number, groups?: wjcCore.ObservableArray): void;
    _getIndex(e: MouseEvent): number;
    _getElementIndex(e: HTMLElement): number;
    _draggingColumn(s: wjcGrid.FlexGrid, e: wjcGrid.CellRangeEventArgs): void;
    _itemsSourceChanging(s: wjcGrid.FlexGrid, e: wjcCore.EventArgs): void;
    _itemsSourceChanged(s: wjcGrid.FlexGrid, e: wjcCore.EventArgs): void;
    _collectionChanged(sender: any, e: wjcCore.NotifyCollectionChangedEventArgs): void;
    _dragStart(e: any): void;
    _dragOver(e: any): void;
    _drop(e: MouseEvent): void;
    _dragEnd(e: any): void;
    _click(e: any): void;
}
